#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 module for emoticons support
Name:           kemoticons
Version: 5.5.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  karchive-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kservice-devel >= %version


%description
KDE Frameworks 5 Tier 3 module for emoticons support

%files
%_kf5_datadir/emoticons
%_kf5_plugindir/emoticonsthemes/*.so
%_kf5_datadir/kservices5/*.desktop
%_kf5_datadir/kservicetypes5/*.desktop
%_kf5_plugindir/KEmoticonsIntegrationPlugin.so

#--------------------------------------------------------------------

%define kf5emoticons_major 5
%define libkf5emoticons %mklibname kf5emoticons %{kf5emoticons_major}

%package -n %libkf5emoticons
Summary:  KDE Frameworks 5 Tier 3 module for emoticons support
Group:        System/Libraries

%description -n %libkf5emoticons
KDE Frameworks 5 Tier 3 module for emoticons support

%files -n %libkf5emoticons
%_kf5_libdir/libKF5Emoticons.so.%{kf5emoticons_major}*

#--------------------------------------------------------------------

%define kf5emoticons_devel %mklibname kf5emoticons -d

%package -n %kf5emoticons_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5emoticons = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5emoticons_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5emoticons_devel
%_kf5_includedir/KEmoticons
%_kf5_includedir/kemoticons_version.h
%_kf5_libdir/cmake/KF5Emoticons
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build



%changelog
* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803961
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 746734
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681035
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660430
- New version 5.1.0

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651584
- New version 5.0.0

* Mon Jul 07 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 650331
- New version 4.100.0
- New version 4.99.0

* Sat Apr 05 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 612117
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599824
- New version 4.97.0

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597455
- imported package kemoticons

